/* CSS Variables */
:root {
    --primary: #ddd;
    --dark: #333;
    --light: #fff;
    --shadow: 0 1px 5px rgba(104, 104, 104, 0.8);
  }
  
  html {
    box-sizing: border-box;
    font-family: Arial, Helvetica, sans-serif;
    color: var(--dark);
  }
  
  body {
    background: #ccc;
    margin: 30px 50px;
    line-height: 1.4;
  }
  
  .add-cart {
    background: var(--dark);
    color: var(--light);
    padding: 0.6rem 1.3rem;
    text-decoration: none;
    border: 0;
  }
  

  .button{
    background: var(--dark);
    color: var(--light);
    padding: 0.6rem 1.3rem;
    text-decoration: none;
    border: 0;
  }
  img {
    max-width: 100%;
  }
  
  .wrapper {
    display: grid;
    grid-gap: 20px;
  }
  
  /* Navigation */
  .main-nav ul {
    display: grid;
    grid-gap: 20px;
    padding: 0;
    list-style: none;
    grid-template-columns: repeat(3, 1fr);
  }
  
  .main-nav a {
    background: var(--primary);
    display: block;
    text-decoration: none;
    padding: 0.8rem;
    text-align: center;
    color: var(--dark);
    text-transform: uppercase;
    font-size: 1.1rem;
    box-shadow: var(--shadow);
  }
  
  .main-nav a:hover {
    background: var(--dark);
    color: var(--light);
  }
  
  /* Boxes */
  .container{
    width: 100%;
    height: 600px;
    background-color: rgba(19, 13, 16, 0.836);
  }

  #title {
    font-size: 64px;
    text-align: center;
    font-family: 'Didot', serif;
  }
  #description {
    text-align: center;
    font-family: 'Courier New', monospace;
  }
  article {
    margin: auto;
    width: 50%;
    background-color: rgba(255,255,255,0.5);
    border-radius: 20px;
    padding: 20px;
  }
  
  input, select {
    margin-bottom: 15px;
  }
  input[type="email"] {
      width: 180px;
  }
  input[type="number"] {
    width: 150px;
  }

  
  
  /* Footer */
  footer {
    margin-top: 2rem;
    background: var(--dark);
    color: var(--light);
    text-align: center;
    padding: 1rem;
  }
  
  /* Media Queries */
  @media (max-width: 700px) {
    .top-container {
      grid-template-areas:
        'showcase showcase'
        'top-box-a top-box-b';
    }
  
    .showcase h1 {
      font-size: 2.5rem;
    }
  
    .main-nav ul {
      grid-template-columns: 1fr;
      width:50%;
    }
  
    .info {
      grid-template-columns: 1fr;
    }
  
    .info .btn {
      display: block;
      text-align: center;
      margin: auto;
    }
  
    .box{
      max-width: 700px;
    }
    .box-header{
      max-width: 700px;
      grid-template-areas:
      'product-title'
      'price'
      'quantity'
      'total';
    }
    footer{
      width:50%;
    }

    .textareaa{
      width: 95%;
    }
  }
  
  @media (max-width: 500px) {

    }
  }
  